commit 845fcd56f9307abaf2a95e6602276dbd4ae87975
parent abc55193c74e727bc860fbaf0cf3c5f59ef63b93
Author: Vincent Demeester <vincent@sbr.pm>
Date: Mon, 13 Jul 2020 12:52:51 +0200
systems: using nix build (instead of nix-build)
… also renaming default.nix to systems.nix
Signed-off-by: Vincent Demeester <vincent@sbr.pm>
Diffstat:
4 files changed, 5 insertions(+), 5 deletions(-)
diff --git a/.builds/nix-pkgs.yml b/.builds/nix-pkgs.yml
@@ -11,7 +11,7 @@ tasks:
set +x
export CACHIX_SIGNING_KEY=$(cat ~/.cachix.key)
set -x
- nix-build home/ci.nix -A cacheOutputs | cachix push shortbrain
+ nix build --verbose -f home/ci.nix cacheOutputs | cachix push shortbrain
- nur-update: |
curl -XPOST "https://nur-update.herokuapp.com/update?repo=vdemeester"
triggers:
diff --git a/.builds/nix-systems.yml b/.builds/nix-systems.yml
@@ -10,13 +10,13 @@ tasks:
set +x
export CACHIX_SIGNING_KEY=$(cat ~/.cachix.key)
set -x
- nix-build home -A systems --dry-run
+ nix build -f home/systems.nix systems --dry-run
- build-servers: |
set -euo pipefail
set +x
export CACHIX_SIGNING_KEY=$(cat ~/.cachix.key)
set -x
- nix-build home -A sakhalin -A okinawa -A kerkouane
+ nix build -f home/systems.nix sakhalin okinawa kerkouane
triggers:
- action: email
condition: failure
diff --git a/hack/system b/hack/system
@@ -22,7 +22,7 @@ function dry-build() {
local machine
machine="$(hostname)"
unset NIX_PATH
- nix-build --dry-run --out-link "$WORK_DIR" -A "$machine" ||
+ nix build systems.nix --dry-run --out-link "$WORK_DIR" "$machine" ||
error "Failed to build system"
}
@@ -31,7 +31,7 @@ function build() {
local machine
machine="$(hostname)"
unset NIX_PATH
- nix-build --out-link "$WORK_DIR" -A "$machine" ||
+ nix build -f systems.nix --out-link "$WORK_DIR" "$machine" ||
error "Failed to build system"
}
diff --git a/default.nix b/systems.nix